cURL
curl -X GET "https://api.fitsociety.io/public/v1/recurring-bookings/{recurringBookingId}" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/recurring-bookings/{recurringBookingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/recurring-bookings/{recurringBookingId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"recurringBooking": {
"recurringBookingId": "66f7b8b1e13c8d25f4d3d90a",
"status": "active",
"repeatInterval": "string",
"startDate": "2026-07-14T10:00:00.000Z",
"endDate": "2026-07-14T10:00:00.000Z",
"numberOfSessions": 1,
"isContinuous": true,
"paymentMethod": "string",
"eventId": "66f7b8b1e13c8d25f4d3d90a",
"client": {
"clientId": "66f7b8b1e13c8d25f4d3d90a",
"name": "Example name"
},
"pauseWindows": [
{
"startDate": "2026-07-14T10:00:00.000Z",
"endDate": "2026-07-14T10:00:00.000Z",
"reason": "string"
}
]
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Recurring bookings
Get recurring booking
Requires recurring_bookings:read.
GET
/
public
/
v1
/
recurring-bookings
/
{recurringBookingId}
cURL
curl -X GET "https://api.fitsociety.io/public/v1/recurring-bookings/{recurringBookingId}" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/recurring-bookings/{recurringBookingId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/recurring-bookings/{recurringBookingId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"recurringBooking": {
"recurringBookingId": "66f7b8b1e13c8d25f4d3d90a",
"status": "active",
"repeatInterval": "string",
"startDate": "2026-07-14T10:00:00.000Z",
"endDate": "2026-07-14T10:00:00.000Z",
"numberOfSessions": 1,
"isContinuous": true,
"paymentMethod": "string",
"eventId": "66f7b8b1e13c8d25f4d3d90a",
"client": {
"clientId": "66f7b8b1e13c8d25f4d3d90a",
"name": "Example name"
},
"pauseWindows": [
{
"startDate": "2026-07-14T10:00:00.000Z",
"endDate": "2026-07-14T10:00:00.000Z",
"reason": "string"
}
]
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_.... Each resource request rechecks the token company's current provider access. Disabling access blocks existing tokens with 403 auth.provider_unavailable.
Path Parameters
Example:
"66f7b8b1e13c8d25f4d3d90a"